OBS: Temporary failure in name resolutio

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

OBS: Temporary failure in name resolutio

Michael Ströder
HI!

For all Factory and Tumbleweed repos I get build failures with this message:

[   34s] Download error on https://pypi.python.org/simple/: [Errno -3]
Temporary failure in name resolution -- Some packages may not be found!

Re-triggering the build several times within a longer timespan did not help.

It works for SLES and Leap build targets.

Any clue what's wrong there?

Ciao, Michael.


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: OBS: Temporary failure in name resolutio

Stephan Kulow-3
Am 10.12.2017 um 13:05 schrieb Michael Ströder:

> HI!
>
> For all Factory and Tumbleweed repos I get build failures with this message:
>
> [   34s] Download error on https://pypi.python.org/simple/: [Errno -3]
> Temporary failure in name resolution -- Some packages may not be found!
>
> Re-triggering the build several times within a longer timespan did not help.
>
> It works for SLES and Leap build targets.
>
It seems to try fullfill dependencies from pypi - which is not available
in OBS workers. I suppose SLES and Leap don't even try.

Greetings, Stephan

--
Ma muaß weiterkämpfen, kämpfen bis zum Umfalln, a wenn die
ganze Welt an Arsch offen hat, oder grad deswegn.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: OBS: Temporary failure in name resolutio

Michael Ströder
Stephan Kulow wrote:

> Am 10.12.2017 um 13:05 schrieb Michael Ströder:
>> For all Factory and Tumbleweed repos I get build failures with this message:
>>
>> [   34s] Download error on https://pypi.python.org/simple/: [Errno -3]
>> Temporary failure in name resolution -- Some packages may not be found!
>>
>> Re-triggering the build several times within a longer timespan did not help.
>>
>> It works for SLES and Leap build targets.
>>
> It seems to try fullfill dependencies from pypi - which is not available
> in OBS workers. I suppose SLES and Leap don't even try.
But why does it try that?
The required Python modules are present in Factory and Tumbleweed.

Maybe it's triggered by setup.py containing:

setup(
    install_requires=[
        'setuptools',
        'pyasn1>=0.3.7',
        'pyasn1_modules>=0.1.5',
    ],
)

Ciao, Michael.


smime.p7s (5K) Download Attachment